Public Class AdWord
    Implements IEquatable(Of AdWord)

    Private m_Title As String           'The title text of the adword (top line)
    Private m_TextLine1 As String       'The first line of text for the adword
    Private m_TextLine2 As String       'The second line of text for the adword
    Private m_URLLine As String         'The URL line displayed for the adword
    Private m_DestinationURL As String  'The actual real destination URL for the adword
    Private m_LocalInfo As String       'Content on the extra 'local' line if available
    Private m_Position As Long          'Position (order/rank) number of this adword
    Private m_printed As Boolean = False        'for printing

    Public Property Title() As String
        Get
            Return m_Title
        End Get
        Set(ByVal value As String)
            m_Title = value
        End Set
    End Property

    Public Property TextLine1() As String
        Get
            Return m_TextLine1
        End Get
        Set(ByVal value As String)
            m_TextLine1 = value
        End Set
    End Property

    Public Property TextLine2() As String
        Get
            Return m_TextLine2
        End Get
        Set(ByVal value As String)
            m_TextLine2 = value
        End Set
    End Property

    Public Property URLLine() As String
        Get
            Return m_URLLine
        End Get
        Set(ByVal value As String)
            m_URLLine = value
        End Set
    End Property

    Public Property DestinationURL() As String
        Get
            Return m_DestinationURL
        End Get
        Set(ByVal value As String)
            m_DestinationURL = value
        End Set
    End Property

    Public Property LocalInfo() As String
        Get
            Return m_LocalInfo
        End Get
        Set(ByVal value As String)
            m_LocalInfo = value
        End Set
    End Property

    Public Property Position() As Long
        Get
            Return m_Position
        End Get
        Set(ByVal value As Long)
            m_Position = value
        End Set
    End Property

    Public Property Printed() As Boolean
        Get
            Return m_printed
        End Get
        Set(ByVal value As Boolean)
            m_printed = value
        End Set
    End Property

    ' Allows the use of the List(Of Adword).Conatins method
    Public Overloads Function Equals(ByVal obj As AdWord) As Boolean Implements IEquatable(Of AdWord).Equals
        If Me.URLLine = obj.URLLine Then
            Return True
        End If
        Return False
    End Function

End Class
